Bug 1096215 - [RFE] Get rid of the setStoragePoolDescription calls
Summary: [RFE] Get rid of the setStoragePoolDescription calls
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Allon Mureinik
QA Contact: Ori Gofen
URL:
Whiteboard:
Depends On: 1185846
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-09 13:20 UTC by Federico Simoncelli
Modified: 2016-03-09 20:45 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1185846 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:45:27 UTC
oVirt Team: Storage
Target Upstream Version:
sherold: Triaged+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 30464 master MERGED core: Don't send SetStoragePoolDescription Never

Description Federico Simoncelli 2014-05-09 13:20:07 UTC
Description of problem:
On our way to drop the storage pool (on the vdsm side), engine should stop trying to update the storage pool description.

setStoragePoolDescription calls should be dropped, we can decide to either drop them completely or maintain them for old DCs.

Even if this would introduce a change of behavior I vote for dropping them altogether.

Comment 7 Yaniv Lavi 2015-04-02 12:49:56 UTC
How should this be tested?

Comment 8 Allon Mureinik 2015-04-02 15:03:19 UTC
(In reply to Yaniv Dary from comment #7)
> How should this be tested?

Update a DC's name and observe in the logs that no call to setStoragePoolDesceription was made.

Comment 9 Ori Gofen 2015-05-03 12:07:57 UTC
verified on 3.6. master

Comment 11 errata-xmlrpc 2016-03-09 20:45:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.